### Method

# Soup Cookie set_same_site_policy

#### Declaration [src]

    void
    soup_cookie_set_same_site_policy (
      SoupCookie* cookie,
      SoupSameSitePolicy policy
    )

#### Description [src]

When used in conjunction with `soup_cookie_jar_get_cookie_list_with_same_site_info()` this sets the policy of when this cookie should be exposed.

#### Parameters

`policy` | `SoupSameSitePolicy`
| A `SoupSameSitePolicy`.